# Generated by Django 4.2.7 on 2023-12-10 21:34

from django.apps import AppConfig
from django.db import migrations


def convert_institutes_to_groups(apps: AppConfig, schema_editor):
    Group = apps.get_model("auth.Group")
    Institute = apps.get_model("accounts.Institute")

    # Delete all existing groups first
    for group in Group.objects.all():
        group.delete()

    for institute in Institute.objects.all():
        group = Group.objects.create(name=institute.name)
        for user in institute.users.all():
            group.user_set.add(user)
            if not user.active_group:
                user.active_group = group
                user.save()


def convert_groups_to_institutes(apps: AppConfig, schema_editor):
    Group = apps.get_model("auth.Group")
    Institute = apps.get_model("accounts.Institute")

    for group in Group.objects.all():
        institute = Institute.objects.create(name=group.name)
        for user in group.user_set.all():
            institute.users.add(user)

    # Delete all existing groups afterwards
    for group in Group.objects.all():
        group.delete()


class Migration(migrations.Migration):
    dependencies = [("accounts", "0006_user_active_group")]

    operations = [migrations.RunPython(convert_institutes_to_groups, convert_groups_to_institutes)]
